using System;
namespace Takmicenje_zadatak_2
{
    internal class Program
    {
        static void Main(string[] args)
        {
            string s = Console.ReadLine();
            string[] values = s.Split(' ');
            int N = int.Parse(values[0]);
            int M = int.Parse(values[1]);
            int obim = 2 *M + 2*(N-2);
            int celatabla = N * M;
            int unutra = celatabla - obim;
            int resenje = obim + unutra;
            if (N ==1 || M ==1)
            {
                if (N == 1)
                {
                    obim = M;
                    unutra = 0;
                }
                else
                {
                    obim = N;
                    unutra = 0;
                }

            }
            else if (N <= 3 && M <= 3)
            {
                obim = 2 * M + 2 * (N - 2);
                unutra = 0;
            }
            else if (N % 2 == 0 || M % 2 == 0)
            {
                unutra = unutra / 2;
            }
            else if (N % 2 !=0 && M % 2 !=0)
            {
                unutra = unutra / 2;
            }
            resenje = obim + unutra;
            Console.WriteLine(resenje);
        }
    }
}